Subject: Re: how to push from repository with two tracking branches

From: Thomas Rast <[email-masked]>
Date: Thu, 13 May 2010 14:12:58 +0200

Jeff King wrote:
> On Thu, May 13, 2010 at 11:09:11AM +0200, Gelonida wrote:
> 
> > I have a repository with two tracking branches ('master' and 'mybranch')
> > 
> > with only one tracking branch I can do
> > git pull
> > make_local_changes
> > git commit -a
> > git push
> > 
> > with two tracking branches I will be told off if the other branch has
> > been updated meanwhile, so what I currently to do is:
> 
> How about "git push origin mybranch" to just push mybranch? You might
> also want to look at "push.default" in "git help config".

Besides, all successful branch updates go through independently of the
ones that failed.  So you can push without having all local branches
up to date.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch